## ros-melodic-rokubimini-description 0.5.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rokubimini_description)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(PACKAGE_DEPENDENCIES
  sensor_msgs
  std_msgs
  xacro
  
)

find_package(catkin REQUIRED
  COMPONENTS
    ${PACKAGE_DEPENDENCIES}
)

catkin_package(
  CATKIN_DEPENDS
  ${PACKAGE_DEPENDENCIES}
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY meshes/
		DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes
		)

install(DIRECTORY urdf_src/
		DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf_src
		)

=== debian/changelog ===
ros-melodic-rokubimini-description (0.5.8-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.7-1stretch) stretch; urgency=high

  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.6-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.3-1stretch) stretch; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.1-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * double checked tensor, mass and collision cylinder, and formatting
  * formatting
  * added inertia tensor, mass, collision cylinder
  * formatting
  * added inertia to parameter file
  * Set inertial rpy to zero.
  * Added default config file for rokubimega.
  * changed sensor coordinate system. updated rokubimega.stl file
  * edit FT parameters for Shovel and Gripper mount
  * added stl file in mashes, created and adapted parameter and force_torque_sensors files
  * Merged in feature/rokubimega (pull request #27)
    Feature/rokubimega
    Approved-by: Martin Wermelinger <mailto:martiwer@mavt.ethz.ch>
    Approved-by: Dominic Jud <mailto:djud@student.ethz.ch>
    Approved-by: Ilias Patsiaouras <mailto:ilias.patsiaouras@gmail.com>
  * double checked tensor, mass and collision cylinder, and formatting
  * formatting
  * added inertia tensor, mass, collision cylinder
  * formatting
  * Merge branch 'feature/rokubimega' of bitbucket.org:leggedrobotics/rokubimini_ethercat_sdk into feature/rokubimega
  * Set inertial rpy to zero.
  * Merge branch 'feature/rokubimega' of bitbucket.org:leggedrobotics/rokubimini_ethercat_sdk into feature/rokubimega
  * added inertia to parameter file
  * Added default config file for rokubimega.
  * changed sensor coordinate system. updated rokubimega.stl file
  * edit FT parameters for Shovel and Gripper mount
  * added stl file in mashes, created and adapted parameter and force_torque_sensors files
  * moved sensor frame such that the RKL100 urdf accounts for the second adapter plate
  * Merge branch 'feature/fix_simulated_sensor_joint'
  * changed standard value of fix_sensor in urdf
  * Merged in feature/fix_simulated_sensor_joint (pull request #24)
    Allow to fix sensor joint when simulation flag is set to true
  * removed simulation argument from sensor_fixed conditional expression
  * the sensor joint type can be set to fixed even when the simulation flag is true. This allows for passing the robot description with fixed sensor joints to the robot_state_publisher.
  * Merged in fix/ee_sensor_parameters (pull request #17)
    Fix/ee sensor parameters
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>
    Approved-by: Martin Wermelinger <mailto:martiwer@mavt.ethz.ch>
  * Merged in fix/base_sensor_with_2_adapter_plates (pull request #18)
    RKL100 parameters fix
    Approved-by: Martin Wermelinger <mailto:martiwer@mavt.ethz.ch>
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>
  * add 2nd adapter plate
  * Merge remote-tracking branch 'origin/feature/dario_rafael_master_v2' into fix/ee_sensor_parameters
    # Conflicts:
    #     rokubimini_description/urdf_src/include/R212_parameters.urdf.xacro
  * .
  * 0.035->0.034
  * COM sign
  * Merge remote-tracking branch 'origin/fix/urdf_base_sensor' into feature/dario_rafael_master_v2
  * Merge remote-tracking branch 'origin/master' into feature/dario_rafael_master_v2
    # Conflicts:
    #     rokubimini_description/urdf_src/include/R212_parameters.urdf.xacro
    #     rokubimini_description/urdf_src/roku_force_torque_sensor.urdf.xacro
    #     rokubimini_gazebo_plugin/config/default.yaml


=== debian/control ===
Source: ros-melodic-rokubimini-description
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-xacro
Description: The rokubimini_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rokubimini-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rokubimini-description 0.6.1

=== debian/changelog ===
ros-melodic-rokubimini-description (0.6.1-1bionic) bionic; urgency=high

  * Fix/simplify collision mesh
  * Contributors: Lefteris Kotsonis, Martin Wermelinger, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 27 Sep 2021 21:00:00 -0000

ros-melodic-rokubimini-description (0.6.0-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 21 Jun 2021 21:00:00 -0000

ros-melodic-rokubimini-description (0.5.9-1bionic) bionic; urgency=high

  * add url to wiki
  * fix old path
  * Delete old urdf files.
  * Added realsense urdf.
  * Added rviz config.
  * Added sensone ocfigurations.
  * Added all the rokubi configurations in the urdf.
  * Added urdf for sensone.
  * Moved meshes into rokubimini_description.
  * Separated adapter from urdf and changed publishing topic names in bota_driver.
  * Added rokubi urdf form solidworks
  * Contributors: Lefteris Kotsonis, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.8-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.7-1bionic) bionic; urgency=high

  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.6-1bionic) bionic; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.5-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.4-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.3-1bionic) bionic; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.2-1bionic) bionic; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.1-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-description (0.5.0-1bionic) bionic; urgency=high

  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * double checked tensor, mass and collision cylinder, and formatting
  * formatting
  * added inertia tensor, mass, collision cylinder
  * formatting
  * added inertia to parameter file
  * Set inertial rpy to zero.
  * Added default config file for rokubimega.
  * changed sensor coordinate system. updated rokubimega.stl file
  * edit FT parameters for Shovel and Gripper mount
  * added stl file in mashes, created and adapted parameter and force_torque_sensors files
  * Merged in feature/rokubimega (pull request #27)
    Feature/rokubimega
    Approved-by: Martin Wermelinger <mailto:martiwer@mavt.ethz.ch>
    Approved-by: Dominic Jud <mailto:djud@student.ethz.ch>
    Approved-by: Ilias Patsiaouras <mailto:ilias.patsiaouras@gmail.com>
  * double checked tensor, mass and collision cylinder, and formatting
  * formatting
  * added inertia tensor, mass, collision cylinder
  * formatting
  * Merge branch 'feature/rokubimega' of bitbucket.org:leggedrobotics/rokubimini_ethercat_sdk into feature/rokubimega
  * Set inertial rpy to zero.
  * Merge branch 'feature/rokubimega' of bitbucket.org:leggedrobotics/rokubimini_ethercat_sdk into feature/rokubimega
  * added inertia to parameter file
  * Added default config file for rokubimega.
  * changed sensor coordinate system. updated rokubimega.stl file
  * edit FT parameters for Shovel and Gripper mount
  * added stl file in mashes, created and adapted parameter and force_torque_sensors files
  * moved sensor frame such that the RKL100 urdf accounts for the second adapter plate
  * Merge branch 'feature/fix_simulated_sensor_joint'
  * changed standard value of fix_sensor in urdf
  * Merged in feature/fix_simulated_sensor_joint (pull request #24)
    Allow to fix sensor joint when simulation flag is set to true
  * removed simulation argument from sensor_fixed conditional expression
  * the sensor joint type can be set to fixed even when the simulation flag is true. This allows for passing the robot description with fixed sensor joints to the robot_state_publisher.
  * Merged in fix/ee_sensor_parameters (pull request #17)
    Fix/ee sensor parameters


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bota Systems AG <sw-support@botasys.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-xacro
-Homepage: 
+Homepage: http://wiki.ros.org/bota_driver
 Standards-Version: 3.9.2
 
 Package: ros-melodic-rokubimini-description
